osl::state::HistoryState Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Member Functions | Private Attributes | List of all members
osl::state::HistoryState Class Reference

`#include <historyState.h>`

Collaboration diagram for osl::state::HistoryState:
[legend]

## Public Member Functions
| HistoryState ()
| HistoryState (const SimpleState &initial)
| ~HistoryState ()
void | setRoot (const SimpleState &)
void | makeMove (Move move)
void | unmakeMove ()
void | makeMovePass ()
void | unmakeMovePass ()
const NumEffectState & | state () const
| operator const NumEffectState & () const
const NumEffectState & | initialState () const
bool | empty () const
const vector< Move > & | history () const
bool | isConsistent () const

## Private Member Functions
void | update () const

## Private Attributes
NumEffectState | initial_state
NumEffectState | current
bool | dirty
vector< Move > | moves

## Detailed Description

Definition at line 11 of file historyState.h.

## Constructor & Destructor Documentation

osl::state::HistoryState::HistoryState | ( | ) |  |

Definition at line 5 of file historyState.cc.

References current, initial_state, and osl::state::NumEffectState::isConsistent().

osl::state::HistoryState::HistoryState | ( | const SimpleState & | initial) |  |
| explicit

Definition at line 12 of file historyState.cc.

References current, initial_state, and osl::state::NumEffectState::isConsistent().

osl::state::HistoryState::~HistoryState | ( | ) |  |

Definition at line 19 of file historyState.cc.

## Member Function Documentation

bool osl::state::HistoryState::empty | ( | ) |  | const
| inline

Definition at line 39 of file historyState.h.

const vector<Move>& osl::state::HistoryState::history | ( | ) |  | const
| inline

Definition at line 40 of file historyState.h.

References moves.

const NumEffectState& osl::state::HistoryState::initialState | ( | ) |  | const
| inline

Definition at line 38 of file historyState.h.

bool osl::state::HistoryState::isConsistent | ( | ) |  | const
| inline

Definition at line 41 of file historyState.h.

void osl::state::HistoryState::makeMove | ( | Move | move) |  |

Definition at line 30 of file historyState.cc.

References moves, and update().

Referenced by osl::state::DoUndoMoveLock::DoUndoMoveLock().

void osl::state::HistoryState::makeMovePass | ( | ) |  |

Definition at line 44 of file historyState.cc.

References osl::Move::PASS().

osl::state::HistoryState::operator const NumEffectState & | ( | ) |  | const
| inline

Definition at line 37 of file historyState.h.

void osl::state::HistoryState::setRoot | ( | const SimpleState & | initial) |  |

Definition at line 23 of file historyState.cc.

References moves.

const NumEffectState& osl::state::HistoryState::state | ( | ) |  | const
| inline

Definition at line 32 of file historyState.h.

References update().

void osl::state::HistoryState::unmakeMove | ( | ) |  |

Definition at line 38 of file historyState.cc.

References moves.

Referenced by osl::state::DoUndoMoveLock::~DoUndoMoveLock().

void osl::state::HistoryState::unmakeMovePass | ( | ) |  |

Definition at line 49 of file historyState.cc.

References moves.

void osl::state::HistoryState::update | ( | ) |  | const
| private

Definition at line 60 of file historyState.cc.

References moves.

## Member Data Documentation

NumEffectState osl::state::HistoryState::current
| mutableprivate

Definition at line 17 of file historyState.h.

Referenced by HistoryState().

bool osl::state::HistoryState::dirty
| mutableprivate

Definition at line 18 of file historyState.h.

NumEffectState osl::state::HistoryState::initial_state
| private

Definition at line 16 of file historyState.h.

Referenced by HistoryState().

vector<Move> osl::state::HistoryState::moves
| private

Definition at line 19 of file historyState.h.

The documentation for this class was generated from the following files:

- historyState.h
- historyState.cc